<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GetExamList.aspx.cs" Inherits="RM.Web.Training.TrainingTest.GetExamList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Role_Form")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/TreeTable/jquery.treeTable.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <link href="../Exam/Themes/Css/ExamIntroduceCss.css" rel="stylesheet" type="text/css" />
    <link href="/Themes/Scripts/TreeTable/css/jquery.treeTable.css" rel="stylesheet"
        type="text/css" />
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <style type="text/css">
        .div-body { min-height: 300px; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="div-body">
        <%=TableHtml.ToString() %>
    </div>
    <div id="btnBar">
        <%=linkButton %>
        <a href="javascript:void(0)" id="btnCloseWindow" onclick="OpenClose();" class="examLink">
            &nbsp;<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Close")%>&nbsp;</a>            
    </div>
    </form>
</body>
</html>
<script type="text/javascript">
    $(function () {
        divresize(63);
        FixedTableHeader("#dnd-example", $(window).height() - 91);
        
    });
    //添加试卷
    function addExam(key) {
        window.parent.frames["main"].location.href = "/Training/TrainingTest/TrainingTest_AddQuestions.aspx?exam_CsKey=" + key;
        OpenClose();
    }
    //参加考试
    function enterExam(examId, type) {
        switch (type) {
            case 1: //作业
                if (window.parent.frames["main"] != undefined) {
                    window.parent.frames["main"].location = "/Training/Exam/ExamSchoolAssignment.aspx?EKey=" + examId;
                } else {
                    window.parent.location = "/Training/Exam/ExamSchoolAssignment.aspx?EKey=" + examId;
                }
                OpenClose();
                break;
            case 2: //练习
                if (window.parent.frames["main"] != undefined) {
                    window.parent.frames["main"].location = "/Training/Exam/Practise.aspx?EKey=" + examId;
                } else {
                    window.parent.location = "/Training/Exam/Practise.aspx?EKey=" + examId;         
                }
                // window.open("/Frame/MainPet.aspx?url=);
                OpenClose();
                break;
            default: //考试
                top.openDialog("/Training/Exam/ExamIntroduce.aspx?ExamKey=" + examId, 'Examination_Test', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sjlb")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_ksxz")%>', 650, 380, 50, 50);
                break;
        }
        return;
    }
    //编辑试卷
    function editExam(eId) {
        top.openDialog("/Training/TrainingTest/ExaminationPaper_Form.aspx?ExamKey=" + eId, "Examination_Form", '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_Managertitle")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Exam_edit")%>', 750, 310, 50, 50);
    }
        
</script>
